[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: count 'obsolete in sid' correctly, consider obsolete in experimental at all and special case strip-nondeterminism

Holger Levsen holger at moszumanska.debian.org
Thu May 28 09:17:12 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 44e9acbe727366516d88210f03bec943c0399c88
Author: Holger Levsen <holger at layer-acht.org>
Date:   Thu May 28 11:12:15 2015 +0200

    reproducible: count 'obsolete in sid' correctly, consider obsolete in experimental at all and special case strip-nondeterminism
---
 bin/reproducible_html_repository_comparison.sh | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/bin/reproducible_html_repository_comparison.sh b/bin/reproducible_html_repository_comparison.sh
index d4e1c90..b73a300 100755
--- a/bin/reproducible_html_repository_comparison.sh
+++ b/bin/reproducible_html_repository_comparison.sh
@@ -42,6 +42,7 @@ for PKG in $SOURCES ; do
 	BET=""
 	OBSOLETE_IN_SID=false
 	OBSOLETE_IN_TESTING=false
+	OBSOLETE_IN_EXP=false
 	#
 	# gather versions of a package
 	#
@@ -81,7 +82,8 @@ for PKG in $SOURCES ; do
 		for i in $EXPERIMENTAL ; do
 			if dpkg --compare-versions "$i" gt "$BET" ; then
 				CEXP="$CEXP<a href=\"https://tracker.debian.org/media/packages/$PREFIX/$PKG/changelog-$i\">$i</a><br />"
-			else
+				OBSOLETE_IN_EXP=true
+		else
 				CEXP="$CEXP$i<br />"
 			fi
 		done
@@ -133,15 +135,17 @@ for PKG in $SOURCES ; do
 			write_page "<br />(<span class=\"green\">merged</span>"
 			if $OBSOLETE_IN_TESTING ; then
 				write_page "and available in testing and unstable)"
-			else
+			elif $OBSOLETE_IN_SID ; then
 				write_page "and available in unstable)"
+			elif $OBSOLETE_IN_EXP ; then
+				write_page "and available in experimental)"
 			fi
 		fi
 	else
 		write_page "<a href=\"$URL\">$PKG.git</a>"
-		if $OBSOLETE_IN_SID ; then
+		if ! $OBSOLETE_IN_TESTING && ! $OBSOLETE_IN_SID && ! $OBSOLETE_IN_EXP && [ "$PKG" != "strip-nondeterminism" ] ; then
 			write_page "<br />(unused?)"
-		else
+		elif $OBSOLETE_IN_SID ; then
 			let "MODIFIED_IN_SID+=1"
 		fi
 	fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list